## org.eclipse.emf.databinding.edit.internal
Class EMFEditObservableListDecorator

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.DecoratingObservable
              org.eclipse.core.databinding.observable.DecoratingObservableCollection
                  org.eclipse.core.databinding.observable.list.DecoratingObservableList
                      org.eclipse.emf.databinding.internal.EMFObservableListDecorator
                          org.eclipse.emf.databinding.edit.internal.EMFEditObservableListDecorator

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, IDecoratingObservable, IObservable, IObservableCollection, IObserving, IObservableList, IEMFEditObservable, IEMFObservable

    public class EMFEditObservableListDecorator

extends EMFObservableListDecorator
implements IEMFEditObservable

`IEMFEditObservable` decorator for an `IObservableList`.

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFEditObservableListDecorator(EditingDomain editingDomain, IObservableList decorated, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `addListener(java.lang.Object arg0, IObservablesListener arg1)`
`protected java.lang.Object` `clone()`
`protected void` `fireEvent(ObservableEvent arg0)`
`EditingDomain` `getEditingDomain()`
`Realm` `getRealm()`
`protected boolean` `hasListeners()`
`protected void` `removeListener(java.lang.Object arg0, IObservablesListener arg1)`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFObservableListDecorator
`dispose, getObserved, getStructuralFeature`

Methods inherited from class org.eclipse.core.databinding.observable.list.DecoratingObservableList
`add, addAll, addListChangeListener, fireChange, fireListChange, firstListenerAdded, get, handleListChange, indexOf, lastIndexOf, lastListenerRemoved, listIterator, listIterator, move, remove, removeListChangeListener, set, subList`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservableCollection
`add, addAll, clear, contains, containsAll, equals, getElementType, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservable
`getDecorated, getterCalled, handleStaleEvent, isStale`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.databinding.IEMFObservable
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.observable.IObserving
`getObserved`

Methods inherited from interface org.eclipse.core.databinding.observable.list.IObservableList
`add, addAll, contains, containsAll, equals, getElementType, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface java.util.List
`clear`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### EMFEditObservableListDecorator

    public EMFEditObservableListDecorator(EditingDomain editingDomain,
                                          IObservableList decorated,
                                          EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `decorated` -
  `eStructuralFeature` -

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `IEMFEditObservable`
  Returns:
    the editing domain to execute commands

### addListener

    protected void addListener(java.lang.Object arg0,
                               IObservablesListener arg1)

### removeListener

    protected void removeListener(java.lang.Object arg0,
                                  IObservablesListener arg1)

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent arg0)

### getRealm

    public Realm getRealm()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.